NAND_WAIT(9)

NAME
nand_wait - [DEFAULT] wait until the command is done

SYNOPSIS

int nand_wait (struct mtd_info * mtd, struct nand_chip * this, int state);

ARGUMENTS

mtd MTD device structure

this
    NAND chip structure

state
    state to select the max. timeout value

DESCRIPTION

Wait for command done. This applies to erase and program only Erase can take up to 400ms and program up to 20ms according to general NAND and SmartMedia specs

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.